Subject: RE: Order returned - Geneva Holdings
From: Cynthia Mounday <[email-masked]>
To: Michael B <[email-masked]>
Date: Thu, 23 Mar 2017 16:16:04 +0000

Hi Michael,

That is the address I have on file. I will have to check with the rep who handles them. She is on vacation. I will get back to you on Monday.

Thanks!!

Cynthia Mounday
Chief Operating Officer
Pinnacle Group/Silverleaf Benefits
4040 W. Earhart Way
Chandler, AZ 85226
480 894-5333 Office
480 894-5288 Fax
www.pinnacleemp.com<http://www.pinnacleemp.com>

From: Michael B [mailto:[email-masked]]
Sent: Thursday, March 23, 2017 8:21 AM
To: Cynthia Mounday
Subject: Order returned - Geneva Holdings

Hello Cyndi.
An order was returned "Not Deliverable as Addressed" from Geneva Holdings. The address we had was the following:

LUCY
GENEVA HOLDINGS
3641 N. 40TH ST
PHOENIX, AZ 85018

Maybe a suite number is needed? Let me know and I can resend it.
Thank you,
Michael B
LLPS